General help

 
 
Liko Puha profile pic
PHP Version 5.3.15 not being used by Moodle on Bluehost
 

Greetings,

Seeking assistance in determing why my Moodle 2.0.2 installation does not recognize the new PHP version available. As recommended I setup up a PHP version info for my site at:

http://www.nowelo.org/info.php

In my Bluehost cPanel I have selected 

  PHP 5.3 (Single php.ini)
Same as PHP 5.3, but all subdirectories will use ~/public_html/php.ini

My Moodle installation is a subdirectory found at http://hanakahi.nowelo.org/moodle

Somehow though, Moodle continues to use PHP Version 5.2.17 as evidenced when clicking on Settings > Site Administration > Server > PHP info

PHP Version 5.2.17

 

System Linux box790.bluehost.com 2.6.32-20120131.55.1.bh6.x86_64 #1 SMP Tue Jan 31 15:43:27 EST 2012 x86_64
Build Date May 29 2012 13:34:33
Configure Command './configure' '--build=x86_64-unknown-linux-gnu' '--host=x86_64-unknown-linux-gnu' '--target=x86_64-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-config-file-scan-dir=/etc/php.d' '--cache-file=../config.cache' '--with-libdir=lib64' '--with-pic' '--disable-rpath' '--disable-debug' '--enable-inline-optimization' '--without-pear' '--with-bz2' '--with-curl' '--with-exec-dir=/usr/bin' '--with-freetype-dir=/usr' '--with-png-dir=/usr' '--enable-gd-native-ttf' '--without-gdbm' '--with-gettext' '--with-gmp' '--with-iconv' '--with-jpeg-dir=/usr' '--with-openssl' '--with-png' '--with-pspell' '--with-expat-dir=/usr' '--with-zlib' '--with-layout=GNU' '--enable-exif' '--enable-ftp' '--enable-magic-quotes' '--enable-sockets' '--enable-sysvsem' '--enable-sysvshm' '--enable-sysvmsg' '--enable-track-vars' '--enable-trans-sid' '--enable-yp' '--enable-wddx' '--with-kerberos' '--with-unixODBC=/usr' '--enable-memory-limit' '--enable-shmop' '--enable-calendar' '--enable-dbx' '--enable-dio' '--with-mime-magic' '--with-sqlite' '--with-libxml-dir=/usr' '--with-xml' '--with-system-tzdata' '--enable-pcntl' '--enable-static' '--with-imap' '--with-imap-ssl' '--enable-mbstring' '--enable-mbstr-enc-trans' '--enable-mbregex' '--with-mcrypt=/usr' '--with-mhash=/usr' '--with-tidy=/usr' '--with-ncurses' '--with-gd' '--enable-bcmath' '--enable-dba' '--with-db4=/usr' '--with-xmlrpc' '--with-ldap' '--with-ldap-sasl' '--with-mysql=/usr' '--with-mysqli=/usr/bin/mysql_config' '--with-mysql-sock=/var/lib/mysql/mysql.sock' '--enable-dom' '--with-dom-xslt=/usr' '--with-dom-exslt=/usr' '--with-pgsql' '--enable-soap' '--with-xsl=/usr' '--enable-fastcgi' '--enable-pdo' '--with-pdo-odbc=unixODBC,/usr' '--with-pdo-mysql=/usr' '--with-pdo-pgsql=/usr' '--with-pdo-sqlite=/usr' '--with-pdo-dblib=/usr' '--enable-json' '--enable-zip' '--with-readline' '--with-intl' '--enable-dbase'
Server API CGI/FastCGI
Virtual Directory Support disabled
Configuration File (php.ini) Path /etc
Loaded Configuration File /home2/noweloor/public_html/php.ini
Scan this dir for additional .ini files /etc/php.d 

 

Thank you for any assistance you can provide for getting Moodle to recognize the latest PHP version.

Sincerely,

--Liko Puha

 
Average of ratings: -
Picture of Homar Sanchez
Re: PHP Version 5.3.15 not being used by Moodle on Bluehost
 

Hi Liko, I've checked you've done it, I'm having the same problem in bluehost too, how did you do it?

Thanks in advance and best regards, Homar.

 
Average of ratings: -
Picture of Howard Miller
Re: PHP Version 5.3.15 not being used by Moodle on Bluehost
Group DevelopersGroup Documentation writersGroup Particularly helpful Moodlers

Sounds like a Bluehost issue rather than Moodle. Have you asked their support people? What do they say?

 
Average of ratings: -